FUNCTION PBMAIN

PRINT : PRINT
PRINT "Generates JT65 Symbols from 13 character plain text message"
PRINT "Calls JT65CODE.EXE"
PRINT
IF DIR$("JT65CODE.EXE")= "" THEN
    COLOR 12
    PRINT "JT65CODE.EXE is not present.  Ensure this is in the same directory as GENJT65"
    COLOR 7
    PRINT "Visit the WSJT Website for full download"
    END
END IF

IF COMMAND$ = "" THEN LINE INPUT "Message  ",m$ ELSE m$ = COMMAND$
m$ = LEFT$(UCASE$(m$) , 13)
IF m$ = "" THEN END

   CommandSpec$ = ENVIRON$("comspec")
   CommandLine$ = "JT65CODE " + CHR$(34) + m$ + CHR$(34) + " > JT65TEMP.TXT"
   SHELL CommandSpec$ & " /C " & CommandLine$, 1&   'Shell command is:  JT65CODE "message" > JT65TEMP.TXT

IF DIR$("JT65TEMP.TXT") = "" THEN
        PRINT "No Temp file created"
        END
END IF

PRINT : PRINT

INPUT "Destination file ( JT65SYMB.INC )   ",fi$
IF fi$ = "" THEN fi$ = "JT65SYMB.INC"

OPEN "JT65Temp.txt" FOR INPUT AS #1
OPEN fi$ FOR OUTPUT AS #2

DO
    LINE INPUT #1 , l$
LOOP UNTIL INSTR(l$ , "Channel symbols")

DO
    LINE INPUT #1 , l$
    IF INSTR(l$ , "Decoded") THEN EXIT LOOP

    pl% = 1
    DO
        IF counter% MOD 8 = 0 THEN
            PRINT
            PRINT #2 , ""
            PRINT "    de  ";
            PRINT #2, "    de  ";
        ELSE
            PRINT ",";
            PRINT #2 , ",";
        END IF

        pos1% = INSTR(pl% , l$ , ANY "0123456789")
        x% = VAL(MID$(l$ , pos1%))      'value of next complete number
        pl% = pos1% + 2                 'max 2 digit numbers only
        x$ = MID$(STR$(x%) , 2)
        IF x% < 10 THEN x$ = "0" + x$
        PRINT USING$( " d'\\'"; x$ );
        PRINT #2,  USING$( " d'\\'";x$);
        INCR counter%
    LOOP UNTIL pl% >= LEN(l$)

LOOP UNTIL INSTR(l$ , "Decoded")

PRINT #2 , ""
PRINT
CLOSE 1
m$ = UCASE$(MID$(l$ , INSTR(l$ , ":") + 1))
PRINT "    ;   " + m$
PRINT #2, "    ;   " + m$
PRINT
PRINT
PRINT "Symbols written to JT65SYMB.INC   "
PRINT
KILL "JT65TEMP.TXT"

END FUNCTION
